Ruby: miniinit.c File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions | Variables
miniinit.c File Reference
`#include "ruby/ruby.h"`
`#include "ruby/encoding.h"`
`#include "mini_builtin.c"`

Go to the source code of this file.

## Functions
VALUE | rb_locale_charmap (VALUE klass)
int | rb_locale_charmap_index (void)
int | Init_enc_set_filesystem_encoding (void)
void | rb_encdb_declare (const char *name)
int | rb_encdb_alias (const char *alias, const char *orig)
void | Init_enc (void)

## Variables
const char | ruby_exec_prefix [] = ""
const char | ruby_initial_load_paths [] = ""

## Function Documentation

## ◆ Init_enc()

void Init_enc | ( | void |  | ) |

Definition at line 42 of file miniinit.c.

References rb_encdb_alias(), and rb_encdb_declare().

## ◆ Init_enc_set_filesystem_encoding()

int Init_enc_set_filesystem_encoding | ( | void |  | ) |

Definition at line 34 of file miniinit.c.

References ENCINDEX_ASCII, ENCINDEX_US_ASCII, ENCINDEX_UTF_8, rb_default_external_encoding(), rb_enc_find_index(), and rb_enc_to_index().

## ◆ rb_encdb_alias()

int rb_encdb_alias | ( | const char * | alias,
|  | const char * | orig
| ) |  |

Definition at line 740 of file encoding.c.

References alias, GLOBAL_ENC_TABLE_ENTER, and GLOBAL_ENC_TABLE_LEAVE.

Referenced by Init_enc().

## ◆ rb_encdb_declare()

void rb_encdb_declare | ( | const char * | name | ) |

Definition at line 473 of file encoding.c.

References GLOBAL_ENC_TABLE_ENTER, GLOBAL_ENC_TABLE_LEAVE, name, and rb_enc_from_index().

Referenced by Init_enc().

## ◆ rb_locale_charmap()

VALUE rb_locale_charmap | ( | VALUE | klass | ) |

Definition at line 21 of file miniinit.c.

References Qnil, and rb_usascii_str_new_cstr.

Referenced by Init_Encoding().

## ◆ rb_locale_charmap_index()

int rb_locale_charmap_index | ( | void |  | ) |

Definition at line 28 of file miniinit.c.

References ENCINDEX_US_ASCII.

Referenced by rb_locale_encindex().

## Variable Documentation

## ◆ ruby_exec_prefix

const char ruby_exec_prefix[] = ""

Definition at line 16 of file miniinit.c.

Referenced by ruby_init_loadpath().

## ◆ ruby_initial_load_paths

const char ruby_initial_load_paths[] = ""

Definition at line 17 of file miniinit.c.

Referenced by ruby_init_loadpath().